/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.flowable.db.entity;

import net.northking.cctp.common.db.POJO;

import net.northking.cctp.common.saas.db.TenantPartition;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Id;

/**
 * 状态流程活动历史
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2021-11-23 20:58:03  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Entity
@Table(name = "sp_act_his")
@DynamicInsert
@DynamicUpdate
public class SpActHis extends TenantPartition implements POJO
{
  public static final String KEY_id = "id";
  public static final String KEY_spId = "spId";
  public static final String KEY_sourceState = "sourceState";
  public static final String KEY_targetState = "targetState";
  public static final String KEY_assignee = "assignee";
  public static final String KEY_changeContent = "changeContent";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_bizId = "bizId";
  public static final String KEY_owner = "owner";
  public static final String KEY_tenantId = "tenantId";

  /**
   * 主键<br>
   */
    @Id
    @Column(name = "id")
  private String id;
  /**
   * 状态流程定义<br>
   */
    @Column(name = "sp_id")
  private String spId;
  /**
   * 来源状态<br>
   */
    @Column(name = "source_state")
  private String sourceState;
  /**
   * 目标状态<br>
   */
    @Column(name = "target_state")
  private String targetState;
  /**
   * 受理人<br>
   */
    @Column(name = "assignee")
  private String assignee;
  /**
   * 变更内容<br>
   */
    @Column(name = "change_content")
  private String changeContent;
  /**
   * 创建时间<br>
   */
    @Column(name = "created_time")
  private Date createdTime;
  /**
   * 业务<br>
   */
    @Column(name = "biz_id")
  private String bizId;
  /**
   * 属主<br>
   */
    @Column(name = "owner")
  private String owner;
  /**
   * 租户<br>
   */
    @Column(name = "tenant_id")
  private String tenantId;

  /**
   * 主键<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 主键<br>
   *
   * @param id 主键
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 状态流程定义<br>
   */
  public String getSpId()
  {
      return spId;
    }

  /**
   * 状态流程定义<br>
   *
   * @param spId 状态流程定义
   */
  public void setSpId(String spId)
  {
      this.spId = spId;
    }
  /**
   * 来源状态<br>
   */
  public String getSourceState()
  {
      return sourceState;
    }

  /**
   * 来源状态<br>
   *
   * @param sourceState 来源状态
   */
  public void setSourceState(String sourceState)
  {
      this.sourceState = sourceState;
    }
  /**
   * 目标状态<br>
   */
  public String getTargetState()
  {
      return targetState;
    }

  /**
   * 目标状态<br>
   *
   * @param targetState 目标状态
   */
  public void setTargetState(String targetState)
  {
      this.targetState = targetState;
    }
  /**
   * 受理人<br>
   */
  public String getAssignee()
  {
      return assignee;
    }

  /**
   * 受理人<br>
   *
   * @param assignee 受理人
   */
  public void setAssignee(String assignee)
  {
      this.assignee = assignee;
    }
  /**
   * 变更内容<br>
   */
  public String getChangeContent()
  {
      return changeContent;
    }

  /**
   * 变更内容<br>
   *
   * @param changeContent 变更内容
   */
  public void setChangeContent(String changeContent)
  {
      this.changeContent = changeContent;
    }
  /**
   * 创建时间<br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * 业务<br>
   */
  public String getBizId()
  {
      return bizId;
    }

  /**
   * 业务<br>
   *
   * @param bizId 业务
   */
  public void setBizId(String bizId)
  {
      this.bizId = bizId;
    }
  /**
   * 属主<br>
   */
  public String getOwner()
  {
      return owner;
    }

  /**
   * 属主<br>
   *
   * @param owner 属主
   */
  public void setOwner(String owner)
  {
      this.owner = owner;
    }
  /**
   * 租户<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户<br>
   *
   * @param tenantId 租户
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }

  public SpActHis()
  {
  }

}
